[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Dépendances et conflit (libpng-dev VS libpng2-dev)



Sven Luther wrote:

Oui, c'est comme cela que devrait marcher les provides (ou packages
virtuels). Si ce n'est pas le cas, c'est un bug dans apt/dpkg. A noter
cependant que les dependances virtuelles ne peuvent pas etre versionne,
ce qui peut poser un certain nombre de probleme, et que les autobuilders
(ou apt-get build-dep) ne peuvent pas choisir entre plusieures versions
de d'un package virtuel, et qu'il faut alors dependre de package_reel |
package_virtuel, et c'est le premier de la liste des alternatives qui
sera installe dans ce cas.


Pas sûr que ce soit un bug d'apt/dpkg, la liste des dépendances du paquet n'est peut être pas bien constituée.

Peut tu donner un exemple reel que l'on comprenne mieux ou est le
probleme.

cf mon mail précédent.


Cela dit on touche là aux limites du système de paquet non ? :) Tel

Non, je ne pense pas. Je pense que ce que tu veut faire a des problemes
que tu n'imagine pas, ou quelque chose du genre, mais j'en connait pas
assez sur ton probleme pour t'en dire plus.

Là je dois t'avouer ne pas avoir compris le sens de ta phrase.


Amicalement,

Sven Luther

A+,

 J8.



Reply to: